/*
polyprint.v1

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package polyprintapi

import (
	"encoding/json"
)

// checks if the ListNfcOrders200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &ListNfcOrders200Response{}

// ListNfcOrders200Response struct for ListNfcOrders200Response
type ListNfcOrders200Response struct {
	Address *ListNfcOrders200ResponseAddress `json:"address,omitempty"`
	ChannelId interface{} `json:"channel_id,omitempty"`
	CustomerExperienceId interface{} `json:"customer_experience_id,omitempty"`
	UserId interface{} `json:"user_id,omitempty"`
	Entrypoint interface{} `json:"entrypoint,omitempty"`
}

// NewListNfcOrders200Response instantiates a new ListNfcOrders200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewListNfcOrders200Response() *ListNfcOrders200Response {
	this := ListNfcOrders200Response{}
	return &this
}

// NewListNfcOrders200ResponseWithDefaults instantiates a new ListNfcOrders200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewListNfcOrders200ResponseWithDefaults() *ListNfcOrders200Response {
	this := ListNfcOrders200Response{}
	return &this
}

// GetAddress returns the Address field value if set, zero value otherwise.
func (o *ListNfcOrders200Response) GetAddress() ListNfcOrders200ResponseAddress {
	if o == nil || IsNil(o.Address) {
		var ret ListNfcOrders200ResponseAddress
		return ret
	}
	return *o.Address
}

// GetAddressOk returns a tuple with the Address field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ListNfcOrders200Response) GetAddressOk() (*ListNfcOrders200ResponseAddress, bool) {
	if o == nil || IsNil(o.Address) {
		return nil, false
	}
	return o.Address, true
}

// HasAddress returns a boolean if a field has been set.
func (o *ListNfcOrders200Response) HasAddress() bool {
	if o != nil && !IsNil(o.Address) {
		return true
	}

	return false
}

// SetAddress gets a reference to the given ListNfcOrders200ResponseAddress and assigns it to the Address field.
func (o *ListNfcOrders200Response) SetAddress(v ListNfcOrders200ResponseAddress) {
	o.Address = &v
}

// GetChannelId returns the ChannelId field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *ListNfcOrders200Response) GetChannelId() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.ChannelId
}

// GetChannelIdOk returns a tuple with the ChannelId field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *ListNfcOrders200Response) GetChannelIdOk() (*interface{}, bool) {
	if o == nil || IsNil(o.ChannelId) {
		return nil, false
	}
	return &o.ChannelId, true
}

// HasChannelId returns a boolean if a field has been set.
func (o *ListNfcOrders200Response) HasChannelId() bool {
	if o != nil && IsNil(o.ChannelId) {
		return true
	}

	return false
}

// SetChannelId gets a reference to the given interface{} and assigns it to the ChannelId field.
func (o *ListNfcOrders200Response) SetChannelId(v interface{}) {
	o.ChannelId = v
}

// GetCustomerExperienceId returns the CustomerExperienceId field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *ListNfcOrders200Response) GetCustomerExperienceId() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.CustomerExperienceId
}

// GetCustomerExperienceIdOk returns a tuple with the CustomerExperienceId field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *ListNfcOrders200Response) GetCustomerExperienceIdOk() (*interface{}, bool) {
	if o == nil || IsNil(o.CustomerExperienceId) {
		return nil, false
	}
	return &o.CustomerExperienceId, true
}

// HasCustomerExperienceId returns a boolean if a field has been set.
func (o *ListNfcOrders200Response) HasCustomerExperienceId() bool {
	if o != nil && IsNil(o.CustomerExperienceId) {
		return true
	}

	return false
}

// SetCustomerExperienceId gets a reference to the given interface{} and assigns it to the CustomerExperienceId field.
func (o *ListNfcOrders200Response) SetCustomerExperienceId(v interface{}) {
	o.CustomerExperienceId = v
}

// GetUserId returns the UserId field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *ListNfcOrders200Response) GetUserId() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.UserId
}

// GetUserIdOk returns a tuple with the UserId field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *ListNfcOrders200Response) GetUserIdOk() (*interface{}, bool) {
	if o == nil || IsNil(o.UserId) {
		return nil, false
	}
	return &o.UserId, true
}

// HasUserId returns a boolean if a field has been set.
func (o *ListNfcOrders200Response) HasUserId() bool {
	if o != nil && IsNil(o.UserId) {
		return true
	}

	return false
}

// SetUserId gets a reference to the given interface{} and assigns it to the UserId field.
func (o *ListNfcOrders200Response) SetUserId(v interface{}) {
	o.UserId = v
}

// GetEntrypoint returns the Entrypoint field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *ListNfcOrders200Response) GetEntrypoint() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Entrypoint
}

// GetEntrypointOk returns a tuple with the Entrypoint field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *ListNfcOrders200Response) GetEntrypointOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Entrypoint) {
		return nil, false
	}
	return &o.Entrypoint, true
}

// HasEntrypoint returns a boolean if a field has been set.
func (o *ListNfcOrders200Response) HasEntrypoint() bool {
	if o != nil && IsNil(o.Entrypoint) {
		return true
	}

	return false
}

// SetEntrypoint gets a reference to the given interface{} and assigns it to the Entrypoint field.
func (o *ListNfcOrders200Response) SetEntrypoint(v interface{}) {
	o.Entrypoint = v
}

func (o ListNfcOrders200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o ListNfcOrders200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Address) {
		toSerialize["address"] = o.Address
	}
	if o.ChannelId != nil {
		toSerialize["channel_id"] = o.ChannelId
	}
	if o.CustomerExperienceId != nil {
		toSerialize["customer_experience_id"] = o.CustomerExperienceId
	}
	if o.UserId != nil {
		toSerialize["user_id"] = o.UserId
	}
	if o.Entrypoint != nil {
		toSerialize["entrypoint"] = o.Entrypoint
	}
	return toSerialize, nil
}

type NullableListNfcOrders200Response struct {
	value *ListNfcOrders200Response
	isSet bool
}

func (v NullableListNfcOrders200Response) Get() *ListNfcOrders200Response {
	return v.value
}

func (v *NullableListNfcOrders200Response) Set(val *ListNfcOrders200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableListNfcOrders200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableListNfcOrders200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableListNfcOrders200Response(val *ListNfcOrders200Response) *NullableListNfcOrders200Response {
	return &NullableListNfcOrders200Response{value: val, isSet: true}
}

func (v NullableListNfcOrders200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableListNfcOrders200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


